# classes/phing/tasks/ext/svn/SvnCommitTask.php

## \SvnCommitTask
jump to top

Commits changes in a local working copy to the repository

Use {@link Project#createTask} to register a new Task.

Extends from
  \SvnBaseTask
author
  Johan Persson
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.svn
since
  2.4.0
version
  $Id: SvnCommitTask.php 578 2009-09-20 20:10:04Z johan162 $

### Properties

`$message= ''`

Commit message

Details

Type

`$propertyName= 'svn.committedrevision'`

Property name where we store the revision number of the just commited version.

Default value `svn.committedrevision` Details

Type

### Methods

`getMessage( ) :`
Gets the commit message
`getPropertyName( ) :`
Returns the name of the property to use for returned revision
`main( ) :`
The main entry point
Details

throws

`setMessage( $message ) :`
Sets the commit message
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`setPropertyName( $propertyName ) :`
Sets the name of the property to use for returned revision
Parameters

Name | Type | Description
--- | --- | ---
$propertyName |  |

Documentation was generated by DocBlox 0.13.1.